Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454165 - Pulseaudio output broken on big endian archs
Summary: Pulseaudio output broken on big endian archs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libao
Version: 9
Hardware: powerpc
OS: Linux
low
low
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-05 20:45 UTC by Ian Chapman
Modified: 2008-07-09 02:54 UTC (History)
1 user (show)

Fixed In Version: 0.8.8-5.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-09 02:50:26 UTC


Attachments (Terms of Use)
Fixes pulse audio output for libao on BE archs. (deleted)
2008-07-05 20:48 UTC, Ian Chapman
no flags Details | Diff
Fixes pulse audio output for libao on BE archs. (deleted)
2008-07-05 20:53 UTC, Ian Chapman
no flags Details | Diff

Description Ian Chapman 2008-07-05 20:45:45 UTC
Description of problem:

Anything which uses libao to provide audio output, eg vorbis tools or timidity++
has broken audio on big endian archs. The other libao output types work correctly.


Version-Release number of selected component (if applicable):
libao-0.8.8-4.fc9.ppc


How reproducible:


Steps to Reproduce:
1. Use a program which use libao plus pulseaudio for output
2. Noise is corrupt
3.
  
Actual results:

Noise is corrupt

Expected results:

Noise should work

Additional info:

Please see the attached patch.

Comment 1 Ian Chapman 2008-07-05 20:48:38 UTC
Created attachment 311080 [details]
Fixes pulse audio output for libao on BE archs.

I'm sorry Hans, I swear I'm not picking on you with these audio issues :-)

Anyway, the patch changes the sample format to PA_SAMPLE_S16NE (Native Endian)
from PA_SAMPLE_S16LE (Little Endian). This fixes it for me and tools such as
timidity++ and vorbis-tools work correctly with pulseaudio via libao.

Comment 2 Ian Chapman 2008-07-05 20:50:38 UTC
Note, I should have said at the start of the report, the audio is only broken if
libao uses pulseaudio. OSS, alsa etc work correctly. 

Comment 3 Ian Chapman 2008-07-05 20:53:15 UTC
Created attachment 311081 [details]
Fixes pulse audio output for libao on BE archs.

Ooops, attached the wrong file.

Comment 4 Hans de Goede 2008-07-06 07:11:25 UTC
Thanks!

Fix build for rawhide and buildiing for F-9 and F-8, also submitted upstream:
https://trac.xiph.org/ticket/1397


Comment 5 Fedora Update System 2008-07-06 07:14:15 UTC
libao-0.8.8-5.fc9 has been submitted as an update for Fedora 9

Comment 6 Fedora Update System 2008-07-06 07:15:35 UTC
libao-0.8.8-5.fc8 has been submitted as an update for Fedora 8

Comment 7 Fedora Update System 2008-07-09 02:50:24 UTC
libao-0.8.8-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-07-09 02:54:14 UTC
libao-0.8.8-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.